---
title: RTCIceComponent
slug: Web/API/RTCIceComponent
tags:
  - API
  - Enum
  - Enumerated
  - Enumeration
  - ICE
  - RTCIceComponent
  - RTCP
  - RTP
  - Reference
  - SDP
  - Transport
  - Type
  - component
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API's</a> <code><strong>RTCIceComponent</strong></code> enumerated type contains {{domxref("DOMString")}} values that each identify a specific ICE component; these are <code>"rtp"</code> and <code>"rtcp"</code>.</span> These strings are mapped to corresponding numeric values as they appear in the <code>candidate</code> a-line in SDP.</p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>"rtp"</code></dt>
 <dd>Identifies an ICE transport which is being used for the <a href="/en-US/docs/Web/API/WebRTC_API/Intro_to_RTP">Real-time Transport Protocol</a> (RTP), or for RTP multiplexed with the RTP Control Protocol (RTCP). RTP is defined in {{RFC(3550)}}. An <code>RTCIceComponent</code> of this value corresponds to the component ID field in the <code>candidate</code> a-line with the value 1.</dd>
 <dt><code>"rtcp"</code></dt>
 <dd>Identifies an ICE transport being used for RTCP, which is defined in {{RFC(3550, "", 6)}}. This value of <code>RTCIceComponent</code> corresponds to the component ID 2.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>RTCIceComponent</code> type is used by the {{domxref("RTCIceCandidate.component", "component")}} property of {{domxref("RTCIceCandidate")}} and {{domxref("RTCIceTransport")}} objects.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#rtcicecomponent', 'RTCIceComponent')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceComponent")}}</p>
</div>
